Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.foundation
Class SessionImpl

    java.lang.Object
      |
      +--theory.smart.foundation.SessionImpl

Direct Known Subclasses:
  CustomerManagerImpl, EBusinessSessionManagerImpl, GiftRegistryManagerImpl, InventoryManagerImpl, InvoiceManagerImpl, OrderManagerImpl, PostOfficeImpl, ShippingManagerImpl, ShoppingAdvisorImpl, TroubleTicketManagerImpl, UnitConverterImpl

public abstract class SessionImpl
extends java.lang.Object
implements SessionBean

This is the base implementation of the Business Smart Component (BSC) Session interface. For each BSC Session derived interface, there will be a corresponding BSC SessionImpl with business methods that are mirrored. It also provides storage for an SessionContext and an implementation of the Set and Get Session Context methods.

See Also:
  `Session`, Serialized Form

Field Summary
`SessionContext` | `ctx`
`protected boolean` | `isDirty`

Constructor Summary
`SessionImpl()`

Method Summary
`void` | `ejbActivate()`
`void` | `ejbCreate()`
`void` | `ejbPassivate()`
`void` | `ejbPostCreate()`
`void` | `ejbRemove()`
`void` | `setSessionContext(SessionContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### isDirty

    protected transient boolean isDirty

### ctx

    public transient SessionContext ctx

Constructor Detail

### SessionImpl

    public SessionImpl()

Method Detail

### ejbActivate

    public void ejbActivate()
                     throws java.rmi.RemoteException

  Specified by:
    ejbActivate in interface SessionBean

### ejbCreate

    public void ejbCreate()
                   throws CreateException,
                          java.rmi.RemoteException

### ejbPassivate

    public void ejbPassivate()
                      throws java.rmi.RemoteException

  Specified by:
    ejbPassivate in interface SessionBean

### ejbPostCreate

    public void ejbPostCreate()
                       throws CreateException,
                              java.rmi.RemoteException

### ejbRemove

    public void ejbRemove()
                   throws java.rmi.RemoteException

  Specified by:
    ejbRemove in interface SessionBean

### setSessionContext

    public void setSessionContext(SessionContext ctx)
                           throws java.rmi.RemoteException

  Specified by:
    setSessionContext in interface SessionBean

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.